This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 842376 - httpd fails in processing chunked requests with > 31 bytes chunk-size / -extension line
httpd fails in processing chunked requests with > 31 bytes chunk-size / -exte...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: httpd (Show other bugs)
6.5
All Linux
high Severity high
: rc
: ---
Assigned To: Jan Kaluža
Aleš Mareček
https://issues.apache.org/bugzilla/sh...
: EasyFix, Patch, Upstream
Depends On: 840845
Blocks: 743405
  Show dependency treegraph
 
Reported: 2012-07-23 12:01 EDT by Joe Orton
Modified: 2013-02-21 05:17 EST (History)
4 users (show)

See Also:
Fixed In Version: httpd-2.2.15-17.el6
Doc Type: Bug Fix
Doc Text:
Cause: httpd did not handle chunked transfer coding properly when chunk-size line exceeded 31 bytes. Consequence: Requests like that were not answered. Fix: httpd has been fixed to parse chunk-size line longer than 31 bytes. Result: Requests like that are answered properly now.
Story Points: ---
Clone Of: 840845
Environment:
Last Closed: 2013-02-21 05:17:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache Bugzilla 49474 None None None 2012-07-23 12:01:11 EDT

  None (edit)
Comment 6 errata-xmlrpc 2013-02-21 05:17:41 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0512.html

Note You need to log in before you can comment on or make changes to this bug.